
Not applicable
09-06-2018
08:29 AM
- Mark as New
- Bookmark
- Subscribe
- Mute
- Subscribe to RSS Feed
- Permalink
- Report
I am setting up some drawings for automation and I have the dimension offsets automated with the below. I am looking to see if there is a way to get the balloons/weld symbols/maybe even text with leaders to all snap automatically into position in a similar way.
Dim oDoc As DrawingDocument oDoc = ThisDoc.Document Dim oSheet As Sheet oSheet = oDoc.ActiveSheet Dim oDrawingDim As DrawingDimension Dim oDrawingDims As DrawingDimensions Dim oDimsToBeArranged As ObjectCollection oDrawingDimensions=oSheet.DrawingDimensions oDimsToBeArranged = ThisApplication.TransientObjects.CreateObjectCollection For Each oDrawingDim In oDrawingDimensions If TypeOf oDrawingDim Is LinearGeneralDimension Then 'Or TypeOf oDrawingDim Is AngularGeneralDimension Then oDrawingDim.CenterText oDimsToBeArranged.Add(oDrawingDim) End If Next oDrawingDimensions.Arrange(oDimsToBeArranged)
Solved! Go to Solution.